VSTGUI: IWindowListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IWindowListener Class Referenceabstract
Standalone Library

Window listener interface. More...

Inheritance diagram for IWindowListener:

## Public Member Functions
virtual void | onSizeChanged (const IWindow &window, const CPoint &newSize)=0
| Size of window is changed.
virtual void | onPositionChanged (const IWindow &window, const CPoint &newPosition)=0
| Position of window is changed.
virtual void | onShow (const IWindow &window)=0
| Window is shown.
virtual void | onHide (const IWindow &window)=0
| Window is hidden.
virtual void | onClosed (const IWindow &window)=0
| Window is closed.
virtual void | onActivated (const IWindow &window)=0
| Window is activated.
virtual void | onDeactivated (const IWindow &window)=0
| Window is deactivated.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Window listener interface.

## Member Function Documentation

virtual void onActivated | ( | const IWindow & | window | ) |
| pure virtual

Window is activated.

Implemented in WindowListenerAdapter, and WindowControllerAdapter.

virtual void onClosed | ( | const IWindow & | window | ) |
| pure virtual

Window is closed.

Implemented in WindowClosedListener, WindowListenerAdapter, and WindowControllerAdapter.

virtual void onDeactivated | ( | const IWindow & | window | ) |
| pure virtual

Window is deactivated.

Implemented in WindowListenerAdapter, and WindowControllerAdapter.

virtual void onHide | ( | const IWindow & | window | ) |
| pure virtual

Window is hidden.

Implemented in WindowListenerAdapter, and WindowControllerAdapter.

virtual void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition
| ) |  |
| pure virtual

Position of window is changed.

Implemented in WindowListenerAdapter, and WindowControllerAdapter.

virtual void onShow | ( | const IWindow & | window | ) |
| pure virtual

Window is shown.

Implemented in WindowListenerAdapter, and WindowControllerAdapter.

virtual void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| pure virtual

Size of window is changed.

Implemented in WindowListenerAdapter, and WindowControllerAdapter.

The documentation for this class was generated from the following file:

- iwindowlistener.h